package cn.ezhizao.project.system.mapper;

import java.util.List;

import cn.ezhizao.project.system.domain.SysRoleMenuInit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * menuRoleMapper接口
 *
 * @author ruoyi
 * @date 2024-01-10
 */
public interface SysRoleMenuInitMapper extends BaseMapper<SysRoleMenuInit>
{
    /**
     * 查询menuRole列表
     *
     * @param sysRoleMenuInit menuRole
     * @return menuRole集合
     */
    public List<SysRoleMenuInit> getList(SysRoleMenuInit sysRoleMenuInit);

    /**
     * 物理删除
     * @param sysRoleMenuInit
     * @return 删除结果
    */
    public int physicalDelete(SysRoleMenuInit sysRoleMenuInit);

    List<SysRoleMenuInit> selectMenuList(Long userId);

    int batchRoleMenu(List<SysRoleMenuInit> list);

    int deleteRoleMenuByRoleId(Long id);

    int deleteRoleMenu(List<Long> ids);
}
